1. Introduction: about more3D

Welcome to the moreStereo3D 6 Manual

 Home Vor

1.1 About more3D

more3D was founded in 2001. The four founders, who represented the multimedia and data communications team of the former ELSA AG, Germany, started more3D with the objective to enable easy-to-use and yet impressive 3-D large screen projection. Our ELSA team developed and marketed the first 3D consumer shutterglasses as early as 1998 – the ELSA 3D Revelator.

Welcome to the moreStereo3D Software manual.
You are about to create tangible visions.

The 3D Revelator

Since 2012 more3D has been working harder than ever as Eduard and Carmen Kinas gave the company a new vision and direction.

Since that time the core team has continued to research, develop and market innovative technologies around 3D and 3D stereo. All their activities share a common goal to enhance the attractiveness and realism of the 3D stereo experience.

more3D has added a 3D stereo film department that not only creates incredible 3D visuals, but also uses the third dimension to actively tell your story and immerse the viewer in the world you create.

We offer expertise in 3D Stereo solutions - from the 3D content (realtime applications with moreStereo3D and 3D media production and playout with moreMediaHD) to 3D Viewing devices such as the sophisticated morePheus³ mobile EXP and the morePheus³ FCE.

The morePheus³ FLEX 3D stereo back projection sytem

Don’t go for less. Go for the experts in 3D stereo.

Your more3D team
Eduard Kinas
more3D GmbH & Co. KG
Mainzer Straße 276
53179 Bonn
Germany
Tel +49 (0) 221 677 87 97 0
Fax +49 (0) 221 677 87 97 9

Continue Reading About moreStereo 3D


1.1 About moreStereo3D

 Home Zurück Vor

The new moreStereo3D is the most versatile stereo generation software on the market. It gives you the ability to show major 3D applications in vivid stereoscopic 3D. Seeing a product or virtual environment that looks so real you could reach out and touch it, is a key advantage for critical engineering reviews as well as for exciting customer presentations.

moreStereo3D is the 3D realtime converter for OpenGL and DirectX based applications. It transforms your ordinary 3D applications into a actual stereoscopic 3D.

moreStereo turn your flat applications into a vivid 3D environment in realtime.

moreStereo converts any application to any 3D output mode

moreStereo converts any application to any 3D output mode

It is now very easy - moreStereo3D turns your ordinary application into an immersive experience

The basic procedure to convert applications to 3D stereo with moreStereo3D is:

1) Install and activate moreStereo3D

2) Start moreStereo3D

3) Only required for 64-Bit Windows: Use the more3D Stereo enabler

4) Check if your application needs more fine tuning: more3D Knowledge Base

5) Optional: Align 3D viewing Device

6) Configure 3D output mode

7) Optional: Configure Quad Buffer mode

8) Run the Application

9) Use the in-app control panel to adjust the 3D effect

10) Save the preset, begin enjoying the benefits of native 3D stereo environments.

All topics are covered in this manual.

Continue Reading about the Installation


2. Installation

1.Installation

This chapter explains how to install moreStereo3D.

Continue Reading about the System Requirements


2.1 System requirements

Your hardware should match the requirements listed below, and also that of the application you are running in stereo 3D.

Minimum System Requirements:

Operating System | Windows XP SP3 32-Bit
CPU | Pentium III 1 GHZ
RAM | 256 MB
Graphics card | DirectX 9.0 compatible
Free Hard disk space | 200 MB
Internet connection | Needed for activation
Lan / Wlan – Card | Mandatory

Recommended System Requirements:

Operating System | Windows 7 64-Bit
CPU | 3.6ghz Six Core Processor
RAM | 16GB
Graphics card | AMD FirePro W7000 or Nvidia Quadro K5000
Free Hard disk space | 200 MB
Internet connection | Needed for activation
Lan / Wlan – Card | Mandatory

Attention:

For quad-buffer output modes a quad-buffer certified graphics card is required (Nvidia Quadro or AMD FirePro Series)

Continue Reading about the Installation Procedure


2.2 Installation procedure

Depending on how you obtained the moreStereo3D software, please do the following:

Insert the storage device carrying the installer

Or

Locate the downloaded installer on your computer

Once you have it ready, double click the installer, this will start the installation procedure.

After having double clicked, you might encounter security messages from Windows asking if you trust the file’s source. Answer with “Yes”.

The first dialogue from the installer should show up. From here, you can follow the on screen instructions. Click “next” to continue.

Simply click “Next” – the activation process is done outside the installer – and will be explained in the next chapter.

In this screen you can select a custom installation folder and if moreStereo3D shall be available to anyone using the computer or just you. When finished, simply click “next".

The final confirmation before the actual installation process is displayed, click “Next” to start the installation.

moreStereo3D is being installed to your system. This may take a few moments. Please be patient.

After the successful installation you will see the following screen. Click close to exit the installation wizard.

It is recommended that you reboot your system after installing moreStereo3D.

Windows will prompt you asking you to reboot. Click “Yes”.

Continue Reading about the Activation Procedure


2.3 Activation Procedure

After successful installation, moreStereo3D will run in trial mode for 14 days. During this period the full functions of the driver are available.

If you are just testing moreStereo3D, you can skip this chapter.

To activate your moreStereo3D license, simply start the “Activation Tool”.

It is located in the more3D program group in your start menu.

The Activation Tool requires an active internet connection to communicate with the more3D software activation service.

If an internet connection is unavailable the activation tool will automatically detect and switch to offline activation mode.

Continue Reading about the Online Activation Process

Continue reading about the Offline Activation Process

Continue Reading about how to Getting Started


2.3.1 Online Activation

Online Activation Procedure:

When connected to the internet the Activation Tool will automatically connect to the more3D license server. You should see the following screen:

Simply enter your product key and press “Activate License”.

The Activation Tool checks your license key for validity and will respond.

When activated the Activation Tool will display your license details.


2.3.2 Offline Activation

When there is no internet connection available, the Activation Tool will start in offline mode.

In offline mode the Activation Tool generates a request file which can be copied to USB / Floppy and transported to a computer with an internet connection.

The Activation Tool prompts you that you are in offline mode.

Simply continue by entering your product key.

The Activation Tool will ask you for a place to save the request file.

Copy this request file to a portable storage device and copy the file to a computer with an active internet connection.

On the computer with an active internet connection, open a browser of your choice and head to http://shop.more3d.com/Webshop/license.aspx

Click the “Browse”-Button (in the screenshot named “Durchsuchen”) and locate the request file.

Afterwards click “Request License File”.

The Webservice will offer you a response file – download it and copy it to the portable storage device

Click import license file and select the response file from the portable storage device.

The Activation Tool will import the license and activate your more3D software product.


3. Getting Started

This chapter is designed to give you a good overview of moreStereo3D's functions and settings.

Continue Reading on the moreStereo3D Tray Icon and context menu


3.1 The moreStereo3D Tray Icon and context menu

Start moreStereo3D using the desktop Shortcut.

When moreStereo3D is started you should recognize a small moreStereo3D tray icon next to the system clock.

The moreStereo3D Tray Icon | The moreStereo3D Tray Icon (highlighted)

The tray icon can perform two actions

Action1: left-click: Enable / Disable moreStereo3D functionality – left-clicking toggles the state.

moreStereo3D disabled (icon is grayed out)

moreStereo3D enabled (icon appears normally)

Action 2: right-click: opens the context menu

Right-clicking the moreStereo3D tray icon will display the context menu.

Properties

.

Opens the properties page for moreStereo3D. Continue reading to find out all about it

more3D Stereo Enabler

The more3d Stereo Enabler allows the user to select programs to convert to stereo 3D. It is installed exclusively on 64 bit systems. Detailed information about this program is found in later sections.

Run Test (dx9)

Starts a Direct-X 9 32-Bit application for testing the stereo functionality.

Info

Opens the moreStereo3D properties page and displays information about the computer and moreStereo3D.

Close

Exits moreStereo3D and unloads all stereo-conversion functionality.

Continue Reading about the Property Page


3.2 The Properties Page

A screenshot of the moreStereo3D properties page.

The property page has tabs for the different feature groups. These are:

Output Modes | The primary tab; here the 3-D output mode is set depending on your output device
openASD | In the openASD tab many types of stereoscopic and autostereoscopic display can be chosen
Geometry Correction | Applies only if the Output device is set to Side-By-Side Geometry correction
Hotkeys | Here custom hotkeys are defined for the in-app control panel
Applications | Displays a list of known application for which presets were generated
Info | Displays information about your computer and moreStereo3D itself

Continue Reading about the output modes tab


3.2.1 The Output Modes Tab

3.2.1 The Output Modes

In the output modes tab, the main moreStereo3D output modes are listed.

The “Output Modes” tab contains the main moreStereo3D options.

Output Device - A list of the available output modes.

Available settings are: |
OpenGL Quad-Buffer | This setting is only applicable to OpenGL applications. Actual output will depend on the current graphics card settings. (See section 3.2.1.1 for details)
Side By Side (Horizontal Span) | Creates a non anamorphic side by side output. Best used with DualHead2Go, Nvidia Mosaic mode or AMD Eyefinity and the 3D Output mode set to “3D to Fullscreen.
Side By Side anamorph (3D TV) | Creates an anamorphic side by side output – best used for 3D TV’s and other devices that accept 50% horizontally compressed sources.
openASD | openASD includes many stereoscopic and autostereoscopic diplays, if selected make sure to select your display in the “openASD” tab. openASD is an open standard to which anyone can contribute – missing a display and want to add the pixel mask? Contact support@more3d.com and we will make it happen.
Anaglyph (Red/Cyan) | This output mode is for red and cyan colored glasses. It is compatible with all display types.
ColorCode 3D | This output mode is for ColorCode3D glasses. It is compatible with all display types.

Anti-Aliasing Quality:

Anti-aliasing provides higher quality output. The higher the selected number, the smooth edges will appear in the program. Higher quality comes with increased GPU cost.

 | 3D Output Mode: There are two modes to choose from, 3-D in Application and 3-D to Fullscreen.
3D in Application | There stereo effect is applied to the application viewport.
3D to Fullscreen | The application viewport is unaltered and the stereo effect is applied fullscreen to a separate display.

Read a detailed description of how to use 3D to Fullscreen properly here.

 | Fullscreen On Display Number - select the stereo 3D Display
 | Identify Monitor: identify the stereo 3D Display. Numbers will be displayed on all connected displaying devices. Simply note the number of your 3D device.
/ | All views are rendered at the size of the application viewport. This option will stretch the image to fill the display.

Continue Reading about the OpenGL Quad Buffer


3.2.1.1 OpenGL Quad Buffer

OpenGL Quad Buffer provides an OpenGL application with two back buffers to draw to. One for each eye for stereoscopic 3D. The hardware can then choose how to present these images at the driver level. Quad Buffer functionality right now is limited only to professional graphics cards, such as Nvidia Quadros and AMD FireGLs.

Advantages:

·More output modes available (depending on graphics card and driver)

·Faster output generation

·Additional features

Disadvantes:

·Quad Buffer is a feature normally only found on expensive high end graphics cards

·Additional configuration steps are required for output

The Quad Buffer output mode offers you a richer selection of possible output modes, for instance with Nvidia graphics cards:

·Generic Active Stereo (Shuttermode)

·On-Board DIN - Connector (Shuttermode with additional Sync signal over 3-PIN Vesa)

·nView Clone mode (Clone mode projection)

How to enable Quad Buffer?

First you need to make sure the Quad Buffer function is enabled in your graphics driver.

Nvidia users simply open the Nvidia Control Panel (right-click on your desktop, then select "Nvidia Control Panel") and select "Manage 3D settings".

In the list "Settings" find the Feature "Stereo - Enable" - and set it to enable. Next select "Stereo - Display Mode" and set it to the output mode of your choice:

·Generic Active Stereo (aka Shuttermode)

·On-Board DIN - Connector (Shuttermode with additional Sync signal over 3-PIN Vesa)

·nView Clone mode (Clone mode projection)

A screenshot of the Nvidia Control Panel with enabled Quad Buffer configuration.

Lastly you need to click "Apply" and then reboot your computer.

After the reboot, start moreStereo3D and open the properties page (see chapter 3.2.2) and set Output device to "OpenGL Quad Buffer" (see section 3.2.1)

Continue reading about the openASD-tab


3.2.1.2 3D to Fullscreen

The 3D to Fullscreen mode is extremely useful when working in a presentation environment.
It lets you work in realtime in a familiar environment whilst presenting only the viewport in 3D stereo on a secondary device.

To use this mode, please proceed as follows:

Connect the 2D monitor to the computer

Connect the 3D output device to the computer

Set the 2D monitor as primary screen in windows

A stylized visualization of the optimal setup for 3D to Fullscreen use

A stylized visualization of the optimal setup for 3D to Fullscreen use

Start moreStereo3D

Open the property page.

Set output device to an Side-by-Side mode (Horizontal Span for projection devices with Matrox DualHead, Anamorph for 3D TV, Geometry Correction for geometry correction projection devices with Matrox DualHead) or openASD. openASD users: please make sure to have your display type set correctly in the openASD tab. Set 3D Output Mode to "3D to Fullscreen".

Use the Identify Monitor-Button to check for the correct display-number of your 3D device and set it accordingly in Fullscreen on display number.

A screenshot of the moreStereo3D property page with the settings done.

A screenshot of the moreStereo3D property page with the settings done.

moreStereo3D will now always copy 3D enabled applications from your standard display to the 3D Device.

moreStereo3D's 3D to Fullscreen function automatically detects the 3D viewport and displays it in 3D stereo on the 3D output device.

moreStereo3D's 3D to Fullscreen function automatically detects the 3D viewport and displays it in 3D stereo on the 3D output device.


3.2.2 openASD

The openASD tab lets you choose your 3D stereo or autostereo display.

Please note that the settings in here will only take effect when “openASD” is chosen as “output device” on the “output modes” tab.

Click the “Display Manufacturer” dropdown menu to select your display’s manufacturer.

Selecting a different “Display Manufacturer” will result in different display types being available in the second drop-down menu “Display Name”.

Please note that when having selected “Generic” under “Display Manufacturer”, “Display Name” will present you a wide selection of “Interlaced” and “Tiled” options.

For most passive 3D TV’s the Tiled(LR)1920x1080 preset will work best.

Continue reading about the Geometry Correction


3.2.3 Geometry Correction

The Geometry Correction feature is currently only available to all OpenGL based applications.

To use the Geometry correction, please make sure to use “Side By Side Geometry Correction” as “output device” from the “Output Modes” Tab as well as setting “3D Output Mode” to “3D to Fullscreen” . Also the 3D on Display Number should point to the 3D projection devices.

To setup the geometry correction properly, please click the “Start Geometry Calibrator” – Button.

Continue Reading about the Hotkeys tab


3.2.3.1 Calibrating the geometry correction

The basic setup for a geometry corrected projection is to have a dual-projection system connected over a DualHead2Go to one graphics port.

This will allow the projectors to run in an horizontal span mode which is required for a proper output. It is strongly recommended to use a 3D to Fullscreen mode using a 2D screen and the 3D output simultaneously.

Once you have your projectors connected and powered up, please adjust them so both cover the projection screen entirely.

To start the geometry calibrator, open the start menu and then the more3D program group. You will notice a folder named "Tools" in the group. Open this and select "Geo Correction Calibrator".

Please follow these instructions:

You will see that the Calibrator opens itself.

Select "Options" -> "Screen Split" and "1x2" for the 3D output device.

Click "Load Image" and load the testscreen.

You will notice that in the dropdown menu your 3D Display will now exist twice; with an indexing marker like

[Display Name] [0,0]

[Display Name] [0,1]

[0,0] and [0,1] indicate the the screen split option is set correctly.

Select [Display Name] [0,0]] and click start.

You will notice that one projector now shows the prevously loaded image.

On the GUI you will notice a white area, it reflects the geometry alignment of your projector. Simply select a corner and drag it the way you need it.

To make calibration easier, there are a set of tools (marked red) which are explained below:

Toggle Scale / Deform Mode

Toggle Borders

Toggle Tangents

Toggle Fine / Coarse adjustment

More Columns

Less Columns

More Rows

Less Rows

Toggle Linear / Bicubic Interpolation

Toggle On Projector Warp

Save Warp Snapshot

List Warp Snapshots

When having completed the procedure simply do the same for projector 2.

After finishing the calibration of projector 2, please click File and Export Mapping.

Please select the Projector for the left channel, and name the file "Left", click Export.

Please select the Projector for the right channel, and name the file "Right", click Export.

Open the moreStereo Property Page and switch to the Geometry Correction Tab.

Click "Load" on the "Left Projector"-row

Load the file you just saved for the left projector.

The Geometry tab will display the path to the calibration-export files

Make sure to set

Output Device to Side by Side Geometry Correction

and

3D Output Mode to 3D To Fullscreen

in the output modes tab (See chapter 3.2.1)

Also: check that your application is enabled in the more3D Stereo enabler (See chapter 3.3)

Lastly run your application - and enjoy the benefits of 3D stereo

To optimize the 3D effect, please refer to Chapter 5.


3.2.4 Hotkeys

The “Hotkeys” tab lets you customize the hotkeys that are used in the in-application control panel.

Hotkey Name: | Function:
Stereo 3D on/off | Lets you enable and disable the 3D effect in the application "on the fly"
Show/Hide control panel | Toggles the in-app control panel
Show/hide test screen | Toggles the testscreen for projector adjustment and channel configuration
Make stereo snapshot | Creates a 3D snapshot
Focus next field | Focuses the next field in the in-app control panel
Focus previous | Focuses the previous field in the in-app control panel
Increase field value | Increases the field value in the in-app control panel
Decrease field value | Decreases the field value in the in-app control panel

Continue reading about the Applications


3.2.5 Applications

The "Applications" tab displays all the applications that have saved stereo 3D presets.

Title | The main executable file name of the application
Active | A status indicating if stereo generation is enabled or disabled
Path | Full path to the applications main executable file

Continue Reading about the Info Tab


3.2.6 The Info Tab

The “Info” tab displays diagnostic information about your system, such as processor, windows version and moreStereo3D version. If you require technical support please make sure to include a copy of this information in an email to support@more3d.com.

Continue Reading about the more3D Stereo enabler


3.3. The more3D Stereo Enabler

The more3D Stereo enabler can be loaded by right clicking more3D system tray icon. It allows the user to select programs to work in stereo 3D. To get started simply follow these 5 steps.

1) Click the "Locate Known Apps" Button

2) The more3D Stereo Enabler will search the system's standard installation pathes for known applications. The standard pathes are (if unchanged)

C:\Program Files
and
C:\Program Files (x86)

this also applies of the localized names in non-English versions of Windows
(E.g. in German it's C:\Programme)

3) Please verify that the more3D Stereo Enabler has recognized you applications correctly:

Application Version:
Win32 – for 32-Bit applications
Win64 – for 64-Bit applications

Graphic Library:
OpenGL for OpenGL applications,
DirectX8 for DirectX8 applications DirectX9 for DirectX9 applications.

4) Simply Enable the Applications you want to to convert to 3D Stereo. Hit save and close.

4) If the more3D Stereo Enabler failed to detect your applications, please read chapter 3.3.1 "Manual Enabling of Applications".

For some Applications there are additional steps needed. Please refer to the more3D website for addtional information by following this link: more3D Knowledge Base

Continue reading about the quick start for the most common setups


3.3.1 The more3D Stereo enabler_2

3.3.1 Manual Enabling of Applications

The more3D Stereo enabler can be loaded by right clicking more3D system tray icon. It allows the user to select programs to work in stereo 3D. To get started simply follow these 5 steps.

1) Click the add application button

2) A file dialog will load which will allow you to select the name of your program. Simply navigate through the file system and click on the program you want to enable stereo3D generation for. For this example, we will use "mo3Dtest.exe" program located in the more3D installation folder. We strongly recommend you do this as an initial test.

3) Once the application has been selected we need to tell the more3D stereo enabler the application parameters “Application Version” and “Graphic Library”.

4) Possible settings are

Application Version: Win32 – for 32-Bit (also known as “x86“) Applications and Win64 – for 64-Bit (also known as “x64”) applications

Graphic Library: OpenGL – for OpenGL based applications, DirectX8 for DirectX8 applications and DirectX9 for DirectX9 based applications.

4) For the mo3dtest.exe program we will set to Application Version to “Win32” and Graphic Library to “DirectX9”.

Last but not least we click the “Enabled” checkbox and the“Save and Close” button.

5) The application “mo3dtest.exe” is now enabled to be converted in real time to 3D stereo. Simply test it by right clicking the moreStereo3D trayicon and selecting “run test (dx9).

Continue reading about the quick start for the most common setups


3.4 The procedure for working with moreStereo3D

3.5 Enabling 3D Stereo with moreStereo3D

This chapter will explain how to enable applications to work in 3D stereo using moreStereo3D.

In short the procedure is as follows:

1) Start moreStereo3D (See chapter 3.1)

2) Only for 64-Bit Operating Systems: Use the more3D stereo enabler (See chapter 3.3)

3) Select an output mode appropriate for your 3D displaying device. (See chapter 3.2.1)

4) Select whether to use 3D in Application or 3D to Fullscreen (See chapter 3.2.1)

5) Start the application

6) Start a 3D Visualisation, e.g. load a 3D scene, a 3D Model or anything which you want to work on

7) Display the in application control panel by pressing NUM* (default hotkey; See chapter 3.2.4)

7.1) In case the in application control panel does not become visible when pressing Num*, please rotate the model WHILE pressing Num*

8) Set Z-Front, % out of screen and Max-3D to you individual preference.

8.1) In case the in application control panel does not respond to your input, please rotate the model WHILE interacting with the in-app control panel.

9) Save settings.

This video covers step 1), 2) and 5)+ [internet connection required]

Recommendation: Check the more3D Knowledge Base for most current information and additional videos


3.5 Projector Alignment

For better projector alignment you can use the TestScreen tool which is bundled with moreStereo3D.

To receive optimal results, please connect both projectors to the computer and configure them to work in clone mode.

You can do this by right-clicking your desktop and selecting "screen resolution".

In the point: "Multiple Displays" select "Duplicate these displays" and click apply.

Lastly: Set the resolution to the native resolution of your projectors.

You will find the projector alignment tool (named "TestScreen") in your more3D startmenu group, in the subfolder "Tools".

Simply start it and the app will display a projector alignment screen.

The more3D TestScreen app's startmenu shortcut.

The more3D Testscreen app

The more3D Testscreen app

in the red box: the fullscreen switch

Simply start the app, switch to fullscreen and adjust the projector's image congruency by using either your morePheus³ projection rig or the projectors integrated functions like lens shift, key stone or smart corner.


4. Quick start for the most common setups

The basic procedure to convert application to 3D stereo with moreStereo3D is:

1) Install and activate moreStereo3D

2) Start moreStereo3D

3) Only required for 64-bit Windows: Use the more3D Stereo enabler

4) Optional: Align 3D viewing device (projectors)

5) Configure 3D output mode

6) Optional: Configure Quad Buffer mode

7) Run the application

8) Use the in application control panel to adjust the 3D effect

9) Save the preset, begin enjoying the benefits of native 3D stereo environments

This section will cover the three most common setups for moreStereo3D

Using moreStereo3D with a 2D and 3D Display (e.g. for use with a passive 3D TV)

Using moreStereo3D with a 2D display and a passive 3D projection (e.g. polarized morePheus³ projection system)

Using moreStereo3D with a 3D Clone-Projection setup (OpenGL only)

We assume you have moreStereo3D already installed and activated – if not please read the chapter 2.2 for detailed information.


4.1 Using moreStereo3D with a 2D and 3D Display

In this mode the application to be converted to 3D stereo will always run unaltered on the 2D display device. The 3D output will appear separately on a 3D display.This is a very handy feature for customer presentations, as only the 3D will be shown to the viewers. 2D elements such the menus will not appear on the 3D display.

Requirements:

• A 2D monitor connected to the computer

• A 3D monitor connected to the computer

To check the monitors are setup correctly, in Windows 7, right-click the desktop and select "Screen Resolution".

The window should look like the following. Clone mode should not be activated.

If you see the following screen

You have to change the point “Multiple Displays” from “Duplicate these displays” to “Extend these displays”.

Next open the moreStereo3D properties page. Do so by right-clicking the tray icon and selecting properties.

On the properties page, set the “output device” to either

• SideBySide Anamorph (3D-TV) for 3D TV’s

Or

• openASD for stereoscopic and autostereoscopic displays

Set “3D Output Mode” to “3D to Fullscreen”.

Use the Identify Monitor button to identify the number of your 3D TV.

Set “Fullscreen On Display Number” to the number you just identified the 3D TV with.

Optionally:

If your 2D display runs a lower resolution than your 3D TV, click the “Fit To Screen” checkbox.

Now, run the mo3dtest.exe app by right-clicking the moreStereo3D Tray icon and selecting “Run Test (dx9)”

You should see the spinning more3D logo in 2D on the 2D monitor and a Side-By-Side output on the 3D TV.

2D Monitor Image:

3D TV Image:

Now simply use your 3D TV’s remote control to enable the 3D SidebySide viewing mode.

Please refer to the 3D TV’s manual if you are having trouble enabling this mode.

Your application should now run in stereo 3D - see this video (internet connection required):

Please check the more3D Knowledge Base for most up-to-date information.

Continue Reading on the usage of moreStereo3D in a 2D display and a passive 3D projection combination


4.2 Using moreStereo3D with a 2D display and a passive 3D projection system

This mode works in the same way as in 4.1, except the viewing device is dual projection system.

Requirements:

• A 2D monitor connected to the computer

• A Matrox DualHead2Go connected to a secondary display output on the graphics card

• Two projectors connected to the Matrox DualHead2Go

To check the monitors are setup correctly, in Windows 7, right-click the desktop and select "Screen Resolution".

The window should look like the following. Clone mode should not be activated.

Make sure that the Matrox DualHead2Go is properly detected by the machine and that its resolution is set to the double that of the projector’s native horizontal resolution.

Standard 3D to Fullscreen setup for 3D projection (horizontal span or geometry correction)

Standard 3D to Fullscreen setup for 3D projection (horizontal span or geometry correction)

The most common resolution are:

Native Projector Resolution | Required DualHead2Go Resolution
1024x768 | 2048x768
1280x720 | 2560x720
1280x800 | 2560x800
1280x1024 | 2560x1024
1680x1050 | 3360x1050
1920x1080 | 3840x1080
1920x1200 | 3840x1200

If the window looks like the following

You have to change the point “Multiple Displays” from “Duplicate these displays” to “Extend these displays”.

Next open the moreStereo3D properties page. Do so by right-clicking the tray icon and selecting properties.

On the property page, set the “output device” to either

• SideBySide (Horizontal Span)

Or

• SideBySide GeoCorrection

Set “3D Output Mode” to “3D to Fullscreen”.

Use the Identify Monitor button to identify the number of your projectors.

Set “Fullscreen On Display Number” to the number you just identified yours projectors with.

Optionally:

If your 2D display runs a lower resolution than your 3D Projection, click the “Fit To Screen” Checkbox

Now, run the mo3dtest.exe app by right-clicking the moreStereo3D tray icon and selecting “Run Test (dx9)”

You should see the spinning more3D logo in 2D on the 2D monitor and a Side-By-Side output on the projectors (which should then already be 3D [on top of each other], but in this manual image will appear SideBySide)

The Image on the 2D monitor:

The image on the 3D projectors:

Note: There is a “Show Test-screen”function which will overlay a grid in the 3D projection for projector alignment; standard Hotkey is Num/ .

Your application should now run in stereo 3D - see this video (internet connection required):

Please check the more3D Knowledge Base for most up-to-date information.

Continue reading on the usage of moreStereo3D with a 3D Clone-Projection (openGL exclusive)


4.3 Using moreStereo3D with a 3D Clone-Projection setup (OpenGL only)

This 3D output mode is available only to OpenGL applications, as it uses the "Quad Buffer" output interface (See Section 3.1.1).
The visualization will be visible on the projectors. All user interaction is done on the projection.

This output configuration is very handy when it comes to working on any 3D Dual-Input device (or active "shutter" devices).

The output diagram for cloned 3D projection

The output diagram for 120Hz Active 3D visualization

1) Connect your projectors to your graphics card

2) Enable the OpenGL Quad Buffer option and select "nview clone mode" (AMD users set the respective AMD "clone"output) (see section 3.2.1.1)

You should see the same image on both projectors.

For better projector alignment you can use the TestScreen app which is bundled with moreStereo3D.

You will find the projector alignment tool in your more3D startmenu group, in the subfolder "Tools".

The more3D TestScreen app's startmenu shortcut.

The more3D TestScreen app

in the red box: the fullscreen switch

3) After aligning the projectors it is time to start moreStereo3D.
Simply click the desktop icon. Open the property page (See section 3.1 / 3.2) and set "output device" to "OpenGL Quad Buffer" (see section 3.2 / 3.2.1).

The moreStereo3D Property Page / Output Modes Tab with the according settings done

4) Start your application and enable the 3D stereo effect (See section 5) or simply watch this tutorial video:

Please check the more3D Knowledge Base for most up-to-date information.

Continue reading on running apps in 3D–Stereo with moreStereo3D


5. Running apps in 3D Stereo with moreStereo3D

This section will look into the details of how to enable the 3D stereo generation for any OpenGL or Direct X based app and the fine adjustment of the 3D effect.

We will look at Catia in this example.

Screenshots in this section will be in anaglyph (red/cyan) format. All the settings we are going to make are output device independent and therefore apply to all available output modes.

To make things easier, we have created a tutorial video, which is freely available.

(requires active internet connection)

Please check the more3D Knowledge Base for most up-to-date information.


5.1 Making sure that the software is enabled

5.1 Making sure that the software is enabled (Applies only to 64-bit based operating systems)

 Home Zurück Vor

To make sure that the software package is enabled in the more3D Stereo Enabler, open the more3D stereo enabler.

If the program is shown in the list, make sure that “Application Version” and “Graphic Library” are set correctly.

If you are unsure about these settings, please contact your system administrator and / or the software developer.

For Catia, we are using the 64-bit edition, so we select Win64 and OpenGL. We also check the enabled checkbox.


5.2 Start the application and start a 3D visualization

Now if everything is setup correctly, press the NUM* key to display the in-app control panel.

In some cases it might be necessary to move,rotate or zoom the model after pressing the hotkey.

CAD programs normally only update the viewport if model is modified or moved. So in order see changes we must trigger the program to update its window.


5.3 The in-app control panel in detail

Z-BACK

At Z-BACK objects receive their maximum negative parallax. If you would like to bring far away objects a little farther, try decreasing the value slightly.

Z-FRONT

At Z-FRONT objects receive their maximum positive parallax.

% OUT OF SCREEN

This parameter defines what percentage of the 3D world between Z-FRONT and Z-BACK will appear in front of the screen.

A value of 100 makes the entire scene appear be in front of the screen. A value of 0 makes the entire screen appear to be behind the screen.

MAX 3D-DEPTH

This will change the maximum L/R shift in pixels between the perspectives. The best value depends on your screen size. The maximum shift shouldn’t exceed eye distance. For a 270x200cm screen this would be about 12-15 pixels, for a larger screen select less and vice versa.

CURR./SEL. WINDOW No.

Some programs create multiple OpenGL windows. The 3D effect is only applied to one window at a time. The current window number is the number assigned to the current window and the selected window number is the window number stereo3D generation will be enabled for.

SAVE SETTINGS

When you have changed any of the values, this button will appear. Press a “modify value” hotkey to save the settings. They will then appear in the “Applications” page of the moreStereo3D property pages.


5.4 Good standard values

Applications often draw to different areas of the Z range. This means that different applications will require different values to obtain comfortable stereo 3D effects.

The default values below should give you adequate stereo 3D.

Z-Back | 1.000
Z-Front | 0.500
% OUT OF SCREEN | 15
MAX 3D-DEPTH | 0.050

Fine tuning on a per application basis should be done, until you are satisfied with the results.


5.5 Finding the best stereo setup

First you should find the current window. This is required exclusively for OpenGL based applications as they tend to have multiple viewports and moreStereo3D will only convert one window at a time to stereo 3D.

In our example the current window number is 2.

Using the (left/right) arrow keys on your keyboard set the selected window number to 2.

Next focus the “MAX 3D-Depth” field using the (up/down) arrow keys.

Set the value to 0.05. In anaglyph mode you should notice the color of the image change, as the driver is now rendering in stereo 3D.

At this stage, the stereo 3D effect is unlikely to be very impressive. In the next sections we will adjust the settings in order to obtain a proper effect.

Focus the App Z-Front field using the (up/down) arrow keys and begin increasing the value using the right arrow key.

Continue increasing the value until the stereo separation at the foremost part of the scene becomes zero.

In our example the foremost part is the cockpit, or nose of the airplane. At the value ~ 0.170 the stereo separation becomes zero. The left and right views converge and are overlapping at this point. With this setup we created depth in the scene, but no pop-out effect yet.

Focus the “VIEW % OUT OF SCREEN” field using the (up/down) arrow keys.

Increase the value. You should see the convergence point move towards the rear of the scene. Adjust the value until the desired pop out effect has been achieved. When the % out of screen value is 100, the entire scene will appear to be in front of your display.

50% - half of the plane appears in front of the display

75%

100% - the entire plane will appear to be in front of your display.


6. Support and FAQ

These next pages will look at troubleshooting your installation of moreStereo3D.

If none of the following information is applicable to you please contact support@more3D.com with the information required as listed in chapter 3.2.6.

Please note that it may take up to two working days for more3D to respond.

moreStereo3D does not work. What can I do?

Graphics card compatibility:

Does your graphics card meet the minimum requirements for moreStereo3D (see section 6.1) and the application you are running ?

Enable the software:

Often moreStereo3D is simply deactivated. Make sure it is enabled by looking at the tray icon. If you see one yellow and one grey gear symbol moreStereo3D is ready to work. If you see two grey gears symbols the software is disabled. Right click the icon to enable it.

License:

Please make sure you have a valid license. moreStereo3D licenses are bound to the MAC address of your network adapter. If you disable the network adapter, the MAC address will be unavailable to your system and to moreStereo3D. Refer to the activation tool for detailed information.

more3D Stereo Enabler:

This is only for users running 64 bit Windows. The application you want to work should be setup correctly and enabled in the more3D Stereo Enabler. Refer to section 3.3 for additional information.

Output device setting:

Did you select the correct output device? Check the moreStereo3D output settings on the moreStereo3D property page. E.g. a 3-D TV will need the output setting "Side-By-Side anamorph".

In-app 3D configuration:

You may have forgotten to enable the 3D effect inside the application. Please proceed as follows:

1. Start moreStereo3D.

2. Start your application.

3. Start a 3D visualization (e.g. load a 3D model)

4. Press the NUM* key to display the in-app control panel.

If the in-app control panel is not visible, get the application to redraw the viewport by rotating or moving the model.

5. Set the Max-3D depth to something larger than "0".

If the in-app panel does not reflect changes you make, please make these changes again while rotating the model.

You may also watch this tutorial video (active internet connection required):


6.1 Are any special graphics cards required for moreStereo3D to work?

6.1 Are any special graphics card required for moreStereo3D to work?

 Home Zurück Vor

For standard output modes, moreStereo3D will work with any graphics card supporting DirectX 9.0 with Shader Model 2.0, and OpenGL 2.1. Essentially any graphics card made in the last 5 years, will probably be sufficient. The Quad Buffer output mode requires a graphics card supporting this type of output. Nvidia Quadro cards and AMD FirePro cards support the Quad Buffer output interface.

For DirectX clone-mode projection, an Nvidia graphics card equipped with an Nvidia G80, G92 or GT200 chipset (Geforce 9800, GTX260 or Quadro 5600, 5800) running Windows XP 32 bit is required. The driver version must be 181.20. This feature is not being developed any further.


6.2 How does the moreStereo3D work?

moreStereo3D works by intercepting the graphics calls from the application and generating N views based upon the number of required outputs. The views are stored in an off-screen render target. The selected output device will determine how the driver mixes these views together for the final composition of the stereo frame.

Together with a stereoscopic output system, moreStereo3D turns your computer into a 3D stereo workstation, ensuring exciting presentations, without the need for additional software.


6.3 Which applications work with moreStereo3D?

In general all DirectX 8, 9 and OpenGL applications.

moreStereo3D provides 3D conversion libraries for

OpenGL in 32-Bit and 64-Bit

DirectX 9 in 32-Bit and 64-Bit

DirectX 8 in 32-Bit

However in practice not every application can be made to automatically work in 3D stereo. Some applications are designed in such a way with post processing and rendering to off screen buffers that make it very difficult. Some applications also render 2D elements such as text with 3D models. Because the text has no real Z value applying a stereo offset is not possible and leads to an inconsistent feeling in the application.


6.4 How is moreStereo3D different from the Nvidia stereo driver?

moreStereo3D supports multiple 3D output devices and is aimed at professional users, who use the benefits of stereo 3D for productive applications.

Historically both moreStereo3D and the Nvidia driver have the same roots - in the ELSA AG. Nvidia decided to aim at gamers and gaming while moreStereo3D is designed to cater to the needs of industry and professionals. Additionally the more3D software provides more features for a professional stereoscopic visualization, such as support for:

Passive projection

Active projection

3-D Monitors

3-D TV's

Autostereoscopic 3D displays (glasses free displays)

Geometry correction for projectors

Realtime adjustment of the settings directly in the application


6.5 Are the additional Resources for applications?

6.5 Are there additional resouces for applications available?

 Home Zurück Vor

On the more3D website you will find a section talking about specific applications in detail.
Simply follow this link to see how to create good stereo 3D from your application:

more3D Knowledge Base


7. Thank you

 Home Zurück

Thank you for your interest in more3D and our products.

Please feel free to contact us anytime.

We grow with your input.

Best regards

Your more3D Team

more3D GmbH & Co. KG
Mainzer Straße 276
53179 Bonn
Germany
Tel +49 (0) 221 677 87 97 0
Fax +49 (0) 221 677 87 97 9
info@more3d.com